<?php
auth_reauthenticate();
access_ensure_global_level( config_get( 'manage_plugin_threshold' ) );
layout_page_header( lang_get( 'plugin_format_title' ) );
layout_page_begin( );
print_manage_menu();
$link=plugin_page('config');
$link2=plugin_page('task_categories');
$autotasks_table	= plugin_table('autodefined');
$taskscat_table	= plugin_table('cat');
$project_table	= db_get_table( 'mantis_project_table' );
$category_table	= db_get_table( 'mantis_category_table' );
$project =  helper_get_current_project(); 
$pquery1="select name from $project_table where id=$project";
$presult1 = db_query($pquery1);
if ($presult1){
	$projectname1 = db_result( $presult1 );
}
?>
<div class="col-md-12 col-xs-12">
<div class="space-10"></div>
<div class="form-container" > 

<div class="widget-box widget-color-blue2">
<div class="widget-header widget-header-small">
	<h4 class="widget-title lighter">
		<i class="ace-icon fa fa-text-width"></i>
		<?php echo 'Tasks : ' . lang_get( 'plugin_tasks_config' )?>
	</h4>
</div>


<div class="widget-body">
<div class="widget-main no-padding">
<div class="table-responsive"> 
<table class="table table-bordered table-condensed table-striped">

<tr>
<td class="form-title" colspan="9">
<a href="<?php echo $link ?>"><?php echo lang_get( 'task_configuration' ) ?></a>
<a href="<?php echo $link2 ?>"><?php echo lang_get( 'task_categories' ) ?></a>
</td>
</tr>
<tr >
<td class="category" colspan="9">
</td>
</tr>
<tr>
<td class="form-title" colspan="9">
<?php echo lang_get( 'plugin_tasks_title' ) . ': ' . lang_get( 'task_definition' ) ?>
</td>
</tr>

<td colspan="9" class="row-category"><div align="left"><a name="taskrecord"></a>
</div>
</td>
</tr>
<tr class="row-category">
<td><div align="center"><?php echo lang_get( 'project' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'category' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'task_categories' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'autotask_title' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'tasks_auto_start_status' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'autotask_handler' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'autotask_desc' ); ?></div></td>
<td><div align="center"><?php echo lang_get( 'autotask_due' ); ?></div></td> 
<td><div align="center"><?php echo lang_get( 'task_actions' ); ?></div></td>
</tr>
<form name="taskadding2" method="post" action="plugins/Tasks/pages/autotask_action_add.php">
<input type="hidden" name="table" value="<?php echo $autotasks_table;  ?>">
<input type="hidden" name="project" value="<?php echo $project;  ?>">
<tr>
<tr >
<td>
<?php
echo $projectname1;
?>
</select> 
</td>
<td>
<?PHP
if ($project>0) {
	?>
	<select <?php echo helper_get_tab_index() ?> name="category">
	<?php
	print_category_option_list();
	?>
	</select> 
	<?php
}
?>

</td>
<td>
	<?php
	// create select list based upon project
	// first see if there are project related categories
	// if not, take the general ones
	?>
	<select <?php echo helper_get_tab_index() ?> name="taskcat_id"  STYLE="width: 200px">
	<?php
	$project =  helper_get_current_project();
	$query="select * from $taskscat_table where project_id=$project order by taskcat_title" ;
	$result = db_query($query);
	$res2=db_num_rows($result);
	if ($res2 == 0){
		$project=0;
		$query="select * from $taskscat_table where project_id=$project order by taskcat_title";
		$result = db_query($query);
	} else {
		$t_id =  0;
		$t_name= ' ';
		echo '<option value="' . $t_id . '"';
		echo '>' . $t_name . '</option>' . "\n";
	}
	while ($row = db_fetch_array($result)) {
			$t_id = $row['taskcat_id'];
			$t_name = $row['taskcat_title'];
			echo '<option value="' . $t_id . '"';
			echo '>' . $t_name . '</option>' . "\n";
	}
	?>
	</select>
    </div>
</td>
<td nowrap><div align="left">
<input name="autotask_title" type="text" size=26 maxlength=50 >
</td>
<td>
<select name="tasks_auto_start_status">
<?php print_enum_string_option_list( 'status', '10' ) ?>;
</select> 
</td>

<td>
<?php
echo '<select name="autotask_handler">';
$handler = 0;
print_assign_to_option_list( $handler, 0 ,plugin_config_get( 'tasks_allocate_threshold' ));
echo '</select>';
?>
</td>
<td><div align="left">
<textarea name="autotask_desc" rows="5" cols="30"></textarea>
</div>

<td>
<input name="autotask_due" type="text" size=2 maxlength=2 >
</td>
<td><input name="<?php echo lang_get( 'task_submit' ) ?>" type="submit" value="<?php echo lang_get( 'task_submit' ) ?>">
</td>
</tr>
</form>


<?PHP
# Pull all Auto Tasks-Record entries 
$query = "SELECT * FROM $autotasks_table  ORDER BY project_id, autotaskcat_id";
$result = db_query($query);
while ($row = db_fetch_array($result)) {
	$project_id = $row['project_id'];
	$taskcat_id = $row['autotaskcat_id'];
	$category_id = $row['category_id'];
	$pquery="select name from $project_table where id=$project_id";
	$presult = db_query($pquery);
	if ($presult){
		$projectname = db_result( $presult );
	} else {
		$projectname= "--" ;
	}
	$cquery="select taskcat_title from $taskscat_table where taskcat_id=$taskcat_id";
	$cresult = db_query($cquery);
	if ($cresult){
		$taskcatname = db_result( $cresult );
	} else {
		$taskcatname= "--" ;
	}
		$dquery="select name from $category_table where id=$category_id";
	$dresult = db_query($dquery);
	if ($dresult){
		$catname = db_result( $dresult );
	} else {
		$catname= "--" ;
	}
	?>
	<tr >
	<td><div align="center">
	<?php echo $projectname; ?>
	</div></td>
	<td>
		<?PHP echo $catname ; ?>
	</td>
	<td><div align="center">
	<?PHP echo $taskcatname ; ?>
	</div></td>
	<td><div align="center"><?php  echo html_entity_decode($row["autotask_title"]); ?>
	<br>
	</div></td>
	<td>
	<?PHP
//	echo $row["autotask_status"];	
echo MantisEnum::getLabel( lang_get( 'status_enum_string' ), $row["autotask_status"] ); 	
	?>
	</td>
	<td><?php echo user_get_name($row["autotask_handler"]); ?></td>
	<td><div align="left">
	<?PHP
	echo html_entity_decode($row["autotask_desc"]);		
	?>
	</div></td>
	<td><div align="center">
	<?PHP
	echo $row["autotask_due"];
	?>
	</div></td>
	<td><div>
	<a href="plugins/Tasks/pages/autotask_action_delete.php?delete_id=<?php echo $row["autotask_id"]; ?>&table=<?php echo $autotasks_table; ?>"><?php echo lang_get( 'task_delete' ) ?></a>
	</div></td>
	</tr>
	<?php
}	 
?>
</table>
<form>
</div></div></div></div>
<?php
layout_page_end( );
